ChangeSet 1.1280, 2003/06/04 17:39:20-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in arch/mips/ddb5074/pci.c


 arch/mips/ddb5074/pci.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)


diff -Nru a/arch/mips/ddb5074/pci.c b/arch/mips/ddb5074/pci.c
--- a/arch/mips/ddb5074/pci.c	Wed Jun  4 18:08:06 2003
+++ b/arch/mips/ddb5074/pci.c	Wed Jun  4 18:08:06 2003
@@ -181,9 +181,9 @@
 
 static void __init ddb5074_pci_fixup(void)
 {
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 
-	pci_for_each_dev(dev) {
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		if (dev->vendor == PCI_VENDOR_ID_NEC &&
 		    dev->device == PCI_DEVICE_ID_NEC_NILE4) {
 			/*
@@ -227,10 +227,10 @@
 
 static void __init pcibios_fixup_irqs(void)
 {
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 	int slot_num;
 
-	pci_for_each_dev(dev) {
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		slot_num = PCI_SLOT(dev->devfn);
 		switch (slot_num) {
 		case 0:
